net.snowflake.client

## Class TestConnectionUtil

- java.lang.Object
- - net.snowflake.client.TestConnectionUtil

    public class TestConnectionUtil
    extends Object

Author:
  Scott Ziegler

### Field Summary

Fields
`static String` `ACCOUNT`
`static String` `ADMIN_ACCOUNT`
`static String` `HOST`
`static int` `PORT`

### Constructor Summary

Constructors
Constructor and Description
`TestConnectionUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Connection` `getConnection()`
`static Connection` `getConnection(String user, String account)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PORT

    public static final int PORT

See Also:
  Constant Field Values

#### HOST

    public static final String HOST

See Also:
  Constant Field Values

#### ACCOUNT

    public static final String ACCOUNT

See Also:
  Constant Field Values

#### ADMIN_ACCOUNT

    public static final String ADMIN_ACCOUNT

See Also:
  Constant Field Values

### Constructor Detail

#### TestConnectionUtil

    public TestConnectionUtil()

### Method Detail

#### getConnection

    public static Connection getConnection()
                                    throws SQLException

Throws:
  `SQLException`

#### getConnection

    public static Connection getConnection(String user,
                                           String account)
                                    throws SQLException

Throws:
  `SQLException`